# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xmlto perl(Fcntl.pm) perl(Geo/METAR.pm) perl(IO/Socket.pm) perl(LWP/Simple.pm)
# END SourceDeps(oneline)
%global _hardened_build 1

Summary:        LCDproc displays real-time system information on a 20x4 backlit LCD
Name:           lcdproc
Version:        0.5.6
Release:        alt1_4
License:        GPLv2
URL:            http://lcdproc.omnipotent.net
Group:          System/Libraries
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        lcdproc.service
Source2:        LCDd.service
Patch0:         lcdproc-0.5.6-gcc47.patch

BuildRequires:  systemd
BuildRequires:  doxygen
BuildRequires:  graphviz

BuildRequires:  libfreetype-devel
%ifnarch s390 s390x
BuildRequires:  libhid-devel
%endif
BuildRequires: libusb-compat-devel libusb-devel
BuildRequires:  liblirc-devel
BuildRequires:  ncurses-devel
BuildRequires:  openldap-devel
BuildRequires:  pth-devel
BuildRequires:  xmlto
BuildRequires:  docbook-dtds
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libftdi-devel
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif

%{?systemd_requires}
Source44: import.info



%description
LCDproc is a client/server suite inclduding drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216,
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some
devices connected to the LPT port: HD44780, STV5730, T6963,
SED1520 and SED1330. Various clients are available that display
things like CPU load, system load, memory usage, uptime, and a lot more.
See also http://lcdproc.omnipotent.net.


%prep
%setup -q
%patch0 -p1 -b .gcc47
chmod 644 server/drivers/timing.h

sed -i -e 's|server/drivers|%{_libdir}/lcdproc|' LCDd.conf
touch -r TODO LCDd.conf


%build
%configure \
  --sysconfdir=%{_sysconfdir}/%{name} \
  --enable-libusb \
  --enable-drivers=all \
  --enable-permissive-menu-goto \
  --enable-lcdproc-menus \
  --enable-stat-nfs \
  --enable-stat-smbfs \
  --with-lcdport=13666 \
  --with-pidfile-dir=/run

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make install-html-guides DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Fix docs
mkdir -p __doc/developer-guide
mkdir -p __doc/user-guide
install -pm 0644 $RPM_BUILD_ROOT%{_datadir}/doc/lcdproc/user-guide/*  __doc/user-guide
install -pm 0644 $RPM_BUILD_ROOT%{_datadir}/doc/lcdproc/developer-guide/*  __doc/developer-guide
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

# init
install -d $RPM_BUILD_ROOT%{_unitdir}
install -pm 0644 %{SOURCE1}  $RPM_BUILD_ROOT%{_unitdir}
install -pm 0644 %{SOURCE2}  $RPM_BUILD_ROOT%{_unitdir}

#Disable default configuration
#Thoses are only provided as an example since ncurses isn't a suitable default configuration.
for f in LCDd.conf lcdproc.conf ; do
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/${f} \
  $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/${f}.example
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/${f}
done


%post
%post_service LCDd
%post_service lcdproc


%preun
%preun_service LCDd
%preun_service lcdproc


%files
%doc README* INSTALL COPYING CREDITS TODO ChangeLog
%doc __doc/*
%{_bindir}/*
%dir %{_libdir}/lcdproc
%{_libdir}/lcdproc/*
%{_sbindir}/*
%{_mandir}/man?/*
%dir %{_sysconfdir}/%{name}
%ghost %{_sysconfdir}/%{name}/*.conf
%config %{_sysconfdir}/%{name}/*.conf.example
%{_unitdir}/LCDd.service
%{_unitdir}/lcdproc.service


%changelog
* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.6-alt1_4
- initial fc import

* Tue Oct 30 2007 Anton Farygin <rider@altlinux.ru> 0.5.2-alt1
- first build for Sisyphus, based on openSuSE specfile
OC